Package mvpa :: Package misc :: Package io :: Module eepbin :: Class EEPBin

[hide private]
[frames] | no frames]

# Class EEPBin

source code

Read-access to binary EEP files.

EEP files are used by eeprobe a software for analysing even-related potentials (ERP), which was developed at the Max-Planck Institute for Cognitive Neuroscience in Leipzig, Germany.

> http://www.ant-neuro.com/products/eeprobe

EEP files consist of a plain text header and a binary data block in a single file. The header starts with a line of the form

';%d %d %d %g %g' % (Nchannels, Nsamples, Ntrials, t0, dt)

where Nchannels, Nsamples, Ntrials are the numbers of channels, samples per trial and trials respectively. t0 is the time of the first sample of a trial relative to the stimulus onset and dt is the sampling interval.

The binary data block consists of single precision floats arranged in the following way:

    <trial1,channel1,sample1>,<trial1,channel1,sample2>,...
    <trial1,channel2,sample1>,<trial1,channel2,sample2>,...
    .
    <trial2,channel1,sample1>,<trial2,channel1,sample2>,...
    <trial2,channel2,sample1>,<trial2,channel2,sample2>,...

Instance Methods | [hide private]

__init__(self, source) Read EEP file and store header and data. | source code

Class Variables | [hide private]

| nchannels = `property(fget= lambda self: self._props ['nchannel`...``
| ntimepoints = `property(fget= lambda self: self._props ['ntimep`...``
| nsamples = `property(fget= lambda self: self._data.shape [0], d`...``
| t0 = `property(fget= lambda self: self._props ['t0'], doc= "Rel`...``
| dt = `property(fget= lambda self: self._props ['dt'], doc= "Tim`...``
| channels = `property(fget= lambda self: self._props ['channels'`...``

Class Variable Details | [hide private]

### nchannels

Value:

      property(fget= lambda self: self._props ['nchannels'], doc= "Number of
       channels")

### ntimepoints

Value:

      property(fget= lambda self: self._props ['ntimepoints'], doc= "Number
      of data timepoints")

### nsamples

Value:

      property(fget= lambda self: self._data.shape [0], doc= "Number of tria
      ls/samples")

### t0

Value:

      property(fget= lambda self: self._props ['t0'], doc= "Relative start t
      ime of sampling interval")

### dt

Value:

      property(fget= lambda self: self._props ['dt'], doc= "Time difference
      between two adjacent samples")

### channels

Value:

      property(fget= lambda self: self._props ['channels'], doc= "List of ch
      annel names")